<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="deleteForm">
        <s:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="confirmDelete"/>
            <ui:define name="popup_title">#{messages['gazelle.simu.ConfirmDeletion']}</ui:define>
            <s:div id="confirmDeleteContent">
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.DoYouReallyWantToDeleteTestDataNamed']} "/>
                <h:outputText value="#{testDataListManager.selectedTestData.name}" style="font-weight: bold"
                              rendered="#{testDataListManager.selectedTestData != null}"/>
                <h:outputText value="?"/>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.Yes']}" render="globalForm"
                                   styleClass="gzl-btn-red"
                                   oncomplete="jq162('#confirmDelete').modal('hide')"
                                   actionListener="#{testDataListManager.deleteTestData()}"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.simulator.hl7.No']}" render="globalForm"
                                   styleClass="gzl-btn"
                                   oncomplete="jq162('#confirmDelete').modal('hide')"
                                   actionListener="#{testDataListManager.setSelectedTestData(null)}"/>
            </ui:define>
        </s:decorate>
    </h:form>
</ui:composition>